using System;
using System.IO;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace MainApp
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                Trace.Listeners.Add(new ConsoleTraceListener());

                string dbPath = Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "test.fdb");
                if (File.Exists(dbPath))
                    File.Delete(dbPath);

                using (SampleProvider sample = new SampleProvider(dbPath))
                {
                    sample.Run();
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.ToString());
            }
        }
    }
}
